> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Profiles

> Extract TikTok profile data — follower counts, bios, and engagement stats — from profile URLs

`$0.4 / 1k profiles`

Extract TikTok profile data — follower counts, bios, and engagement stats — from profile URLs

## Endpoint

`POST /api/v1/agents/tiktok/profiles/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · TikTok usernames or full profile URLs. One per line.
</ParamField>

## Response columns

| Field         | Display name | Type    |
| ------------- | ------------ | ------- |
| `profileUrl`  | Profile URL  | url     |
| `username`    | Username     | text    |
| `displayName` | Display Name | text    |
| `bio`         | Bio          | text    |
| `bioLink`     | Bio Link     | url     |
| `followers`   | Followers    | number  |
| `following`   | Following    | number  |
| `totalLikes`  | Total Likes  | number  |
| `videos`      | Videos       | number  |
| `verified`    | Verified     | boolean |
| `category`    | Category     | text    |
| `avatar`      | Avatar       | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/profiles/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        {
          "url": "https://www.tiktok.com/@charlidamelio"
        },
        {
          "url": "https://www.tiktok.com/@khaby.lame"
        },
        {
          "url": "https://www.tiktok.com/@bellapoarch"
        },
        {
          "url": "https://www.tiktok.com/@addisonre"
        },
        {
          "url": "https://www.tiktok.com/@zachking"
        },
        {
          "url": "https://www.tiktok.com/@willsmith"
        },
        {
          "url": "https://www.tiktok.com/@spencerx"
        },
        {
          "url": "https://www.tiktok.com/@mrbeast"
        },
        {
          "url": "https://www.tiktok.com/@theweeknd"
        },
        {
          "url": "https://www.tiktok.com/@gordonramsayofficial"
        }
      ],
      "maxResults": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/profiles/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          {
              "url": "https://www.tiktok.com/@charlidamelio"
          },
          {
              "url": "https://www.tiktok.com/@khaby.lame"
          },
          {
              "url": "https://www.tiktok.com/@bellapoarch"
          },
          {
              "url": "https://www.tiktok.com/@addisonre"
          },
          {
              "url": "https://www.tiktok.com/@zachking"
          },
          {
              "url": "https://www.tiktok.com/@willsmith"
          },
          {
              "url": "https://www.tiktok.com/@spencerx"
          },
          {
              "url": "https://www.tiktok.com/@mrbeast"
          },
          {
              "url": "https://www.tiktok.com/@theweeknd"
          },
          {
              "url": "https://www.tiktok.com/@gordonramsayofficial"
          }
      ],
      "maxResults": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "profileUrl": "https://www.tiktok.com/@bellapoarch",
      "username": "bellapoarch",
      "displayName": "Bella Poarch",
      "bio": "Ribcage is out now\ud83e\ude7b",
      "bioLink": "https://bellapoarch.ffm.to/ribcage",
      "followers": 92339567,
      "following": 648,
      "totalLikes": 2406585866,
      "videos": 85,
      "verified": true,
      "category": "Public Figure",
      "avatar": "https://p16-common-sign.tiktokcdn-eu.com/tos-maliva-avt-0068/0fb216019927fc3ab177235784642a5e~tplv-tiktokx-cropcenter:1080:1080.webp?dr=10399&refresh_token=d055136c&x-expires=1778000400&x-signature=ASIzxPzerJKVJIakHp%2FPxpdM%2Fyo%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=no1a"
    }
  ]
}
```
